import { world, system } from "@minecraft/server";
    

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('mito_carne_de_troll:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:hunger", 42, {amplifier: 1});
e.source.addEffect("minecraft:poison", 22, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_botella_con_sangre_de_medusa_curativa:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 480, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 28, {amplifier: 3});
e.source.removeEffect("minecraft:wither");
e.source.removeEffect("minecraft:fatal_poison");
e.source.removeEffect("minecraft:poison");
e.source.removeEffect("minecraft:nausea");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:saturation");
e.source.removeEffect("minecraft:blindness");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_botella_con_sangre_de_medusa_venenosa:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:hunger", 800, {amplifier: 8});
e.source.addEffect("minecraft:nausea", 800, {amplifier: 1});
e.source.addEffect("minecraft:poison", 800, {amplifier: 3});
e.source.addEffect("minecraft:wither", 800, {amplifier: 3});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:night_vision");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:resistance");
e.source.removeEffect("minecraft:village_hero");
e.source.removeEffect("minecraft:fire_resistance");
e.source.removeEffect("minecraft:invisibility");
e.source.removeEffect("minecraft:water_breathing");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:health_boost");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_cetro_con_hechizo_de_jabali:trigger', {
  onUse: e => { e.source.runCommand("function jabalies"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_fruto_del_poder:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 15, {amplifier: 2});
e.source.addEffect("minecraft:fire_resistance", 15, {amplifier: 2});
e.source.addEffect("minecraft:haste", 15, {amplifier: 2});
e.source.addEffect("minecraft:jump_boost", 15, {amplifier: 2});
e.source.addEffect("minecraft:night_vision", 15, {amplifier: 2});
e.source.addEffect("minecraft:regeneration", 15, {amplifier: 2});
e.source.addEffect("minecraft:resistance", 15, {amplifier: 2});
e.source.addEffect("minecraft:slow_falling", 15, {amplifier: 2});
e.source.addEffect("minecraft:speed", 15, {amplifier: 2});
e.source.addEffect("minecraft:strength", 15, {amplifier: 2});
e.source.addEffect("minecraft:water_breathing", 15, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_pescado_dorado:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 450, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 30, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 1253, {amplifier: 1});
e.source.removeEffect("minecraft:wither");
e.source.removeEffect("minecraft:fatal_poison");
e.source.removeEffect("minecraft:poison");
e.source.removeEffect("minecraft:nausea");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:saturation");
e.source.removeEffect("minecraft:blindness");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_vaso_con_cerveza:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 430, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_pocion_de_absorcion:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 480, {amplifier: 1});
e.source.removeEffect("minecraft:wither");
e.source.removeEffect("minecraft:fatal_poison");
e.source.removeEffect("minecraft:poison");
e.source.removeEffect("minecraft:nausea");
e.source.removeEffect("minecraft:hunger");
e.source.removeEffect("minecraft:saturation");
e.source.removeEffect("minecraft:blindness");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('mito_vaso_con_vino:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 430, {amplifier: 1});
  
},

  
});
 });
